List assignable templates
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/assignableTemplates \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/assignableTemplates"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/assignableTemplates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assignableTemplates": [
{
"id": "<string>",
"name": "<string>",
"sourceLang": "<string>",
"targetLangs": [
"<string>"
],
"templateName": "<string>",
"workflowSettings": [
{
"assignedTo": [
{
"providers": [
{
"type": "<string>",
"id": "<string>",
"uid": "<string>"
}
],
"targetLang": "<string>"
}
],
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
]
}
]
}Project
List assignable templates
GET
/
api2
/
v1
/
projects
/
{projectUid}
/
assignableTemplates
List assignable templates
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the project
Response
OK
Templates compatible with the project's source language, target languages, and workflow steps
Show child attributes
Show child attributes
Was this page helpful?
⌘I